package com.xjrsoft.module.classtime.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 课时统计分页查询入参
* @Author dzx
* @Date: 2024-09-26
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class ClassTimeStatisticsPageDto extends PageInput {

    @ApiModelProperty("统计年份")
    private Integer year;


    @ApiModelProperty("统计月份")
    private Integer month;
}
