package com.xjrsoft.module.classtime.service;

import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.classtime.dto.AddClassTimeCalendarDto;
import com.xjrsoft.module.classtime.entity.ClassTimeCalendar;

/**
* @title: 节假日调课设置
* @Author dzx
* @Date: 2024-09-26
* @Version 1.0
*/

public interface IClassTimeCalendarService extends MPJBaseService<ClassTimeCalendar> {
    /**
     * 添加，添加成功后，调整课程数据
     * @param dto
     * @return
     */
    Boolean add(AddClassTimeCalendarDto dto);

    /**
     * 作废，恢复数据并删除补班的数据
     * @param id
     * @return
     */
    Boolean cancel(Long id);
}
