package com.xjrsoft.module.classtime.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseServiceImpl;
import com.xjrsoft.module.classtime.dto.ClassTimeDeletePageDto;
import com.xjrsoft.module.classtime.entity.ClassTimeDelete;
import com.xjrsoft.module.classtime.mapper.ClassTimeDeleteMapper;
import com.xjrsoft.module.classtime.service.IClassTimeDeleteService;
import com.xjrsoft.module.classtime.vo.ClassTimeDeletePageVo;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

/**
* @title: 课时删除
* @Author dzx
* @Date: 2024-09-26
* @Version 1.0
*/
@Service
@AllArgsConstructor
public class ClassTimeDeleteServiceImpl extends MPJBaseServiceImpl<ClassTimeDeleteMapper, ClassTimeDelete> implements IClassTimeDeleteService {
    @Override
    public Page<ClassTimeDeletePageVo> getPage(Page<ClassTimeDeletePageVo> page, ClassTimeDeletePageDto dto) {
        return this.baseMapper.getPage(page, dto);
    }
}
