package com.xjrsoft.module.classtime.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 课时删除分页查询入参
* @Author dzx
* @Date: 2024-09-26
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class ClassTimeDeletePageDto extends PageInput {

    @ApiModelProperty("班级名称")
    private String className;

    @ApiModelProperty("删除类型(xjr_dictionary_item[class_time_delete])")
    private String type;

    @ApiModelProperty("状态(0:生效 1:锁定 2:作废)")
    private Integer enabledMark;

}
