package com.xjrsoft.module.classtime.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.classtime.dto.ClassTimeDeletePageDto;
import com.xjrsoft.module.classtime.entity.ClassTimeDelete;
import com.xjrsoft.module.classtime.vo.ClassTimeDeletePageVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
* @title: 课时删除
* @Author dzx
* @Date: 2024-09-26
* @Version 1.0
*/
@Mapper
public interface ClassTimeDeleteMapper extends MPJBaseMapper<ClassTimeDelete> {

    Page<ClassTimeDeletePageVo> getPage(Page<ClassTimeDeletePageVo> page, @Param("dto") ClassTimeDeletePageDto dto);
}
