package com.xjrsoft.module.classtime.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 课时删除表单出参
* @Author dzx
* @Date: 2024-09-26
* @Version 1.0
*/
@Data
public class ClassTimeDeleteVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 删除类型(xjr_dictionary_item[class_time_delete])
    */
    @ApiModelProperty("删除类型(xjr_dictionary_item[class_time_delete])")
    private String type;
    /**
    * 类别(1:权重 2:费用设置)
    */
    @ApiModelProperty("类别(1:权重 2:费用设置)")
    private Integer classId;
    /**
    * 删除说明
    */
    @ApiModelProperty("删除说明")
    private String remark;
    /**
    * 开始日期
    */
    @ApiModelProperty("开始日期")
    private Date startDate;
    /**
    * 结束日期
    */
    @ApiModelProperty("结束日期")
    private Date endDate;



}
