package com.xjrsoft.module.classtime.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;

/**
* @title: 教师课程信息
* @Author dzx
* @Date: 2024-09-26
* @Version 1.0
*/
@Data
public class CourseListVo {


    @ApiModelProperty("班级id")
    private Long classId;

    @ApiModelProperty("教师id(被顶课老师)")
    private String teacherId;

    @ApiModelProperty("所属节次")
    private String shortName;

    @ApiModelProperty("调顶课类型")
    private String adjustType;

    @ApiModelProperty("顶课原因")
    private String reason;

    @ApiModelProperty("上课日期")
    private LocalDate scheduleDate;

    @ApiModelProperty("顶课老师")
    private Long exchangeTeacherId;

    @ApiModelProperty("班级名称")
    private String className;

    @ApiModelProperty("课程名称")
    private String courseName;


}
